package click.kamil.examples.statemachine.inheritance.api;

import click.kamil.examples.statemachine.inheritance.service.ProcessingService;
import lombok.RequiredArgsConstructor;
import org.springframework.web.bind.annotation.RestController;

@RestController
public class OrderControllerImpl implements OrderApi {

    private final ProcessingService processingService;

    public OrderControllerImpl(ProcessingService processingService) {
        this.processingService = processingService;
    }

    @Override
    public void submitOrder() {
        processingService.doProcess();
    }
}
